
import UIKit
import CloudKit

class PicturesViewController: UIViewController {
   @IBOutlet weak var cityPicture: UIImageView!
   var selectedCity: CKRecord.ID!

   override func viewDidLoad() {
      if let item = AppData.listCities.first(where: { $0.recordID == selectedCity }) {
         if let asset = item["picture"] as? CKAsset, let url = asset.fileURL {
            self.cityPicture.image = UIImage(contentsOfFile: url.path)
         }
      }
   }
}

